System Templates
Retrieves a paginated list of system templates. In the Patchworks dashboard, a system is known as a connector.
API key passed in the Authorization header. Format: <api-key>
Filter results by name.
Filter results by hidden_from_marketplace.
Filter results by visible_for_marketplace.
Filter results by system_type_id.
Filter results by id.
Filter results by private.
Filter results by visibility.
Filter results by platformApp.
Filter results by forPlatformApp.
Page number for pagination.
1Number of results per page.
Successful response
Unauthenticated
Unauthorized
Too Many Requests. The rate limit for this user has been reached.
GET /api/v1/patchworks/system-templates HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"id": 1,
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z"
}
],
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://api.example.com/api/v1/patchworks/system-templates",
"per_page": 25,
"to": 1,
"total": 1
},
"links": {
"first": "https://api.example.com/api/v1/patchworks/system-templates?page=1",
"last": "https://api.example.com/api/v1/patchworks/system-templates?page=1",
"prev": null,
"next": null
}
}Creates a new system template. In the Patchworks dashboard, a system is known as a connector.
API key passed in the Authorization header. Format: <api-key>
Successful response
Unauthenticated
Unauthorized
Validation Error
Too Many Requests. The rate limit for this user has been reached.
POST /api/v1/patchworks/system-templates HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 310
{
"label": "My Label",
"colour": "blue",
"logo_url": "https://example.com",
"version": 1,
"version_name": "example_version_name",
"rate_limit_unit": "second",
"rate_limit_duration": 1,
"system_type_id": 1,
"protocol": "HTTP",
"company_id": 1,
"date_format": "example_date_format",
"help_link": "example_help_link",
"name": "My Example"
}{
"data": {
"id": 1,
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z"
}
}Updates an existing system template. In the Patchworks dashboard, a system is known as a connector.
API key passed in the Authorization header. Format: <api-key>
The system template identifier.
Successful response
Unauthenticated
Unauthorized
Not Found. The record does not exist.
Validation Error
Too Many Requests. The rate limit for this user has been reached.
PUT /api/v1/patchworks/system-templates/{system_template} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 310
{
"label": "My Label",
"colour": "blue",
"logo_url": "https://example.com",
"version": 1,
"version_name": "example_version_name",
"rate_limit_unit": "second",
"rate_limit_duration": 1,
"system_type_id": 1,
"protocol": "HTTP",
"company_id": 1,
"date_format": "example_date_format",
"help_link": "example_help_link",
"name": "My Example"
}{
"data": {
"id": 1,
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z"
}
}Permanently deletes a specific system template. In the Patchworks dashboard, a system is known as a connector.
API key passed in the Authorization header. Format: <api-key>
The system template identifier.
Successful response
Unauthenticated
Unauthorized
Not Found. The record does not exist.
Too Many Requests. The rate limit for this user has been reached.
DELETE /api/v1/patchworks/system-templates/{system_template} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"message": "Action completed successfully."
}Installs a specific system template into the current company.
API key passed in the Authorization header. Format: <api-key>
The systemTemplate identifier.
Successful response
Unauthenticated
Unauthorized
Not Found. The record does not exist.
Validation Error
Too Many Requests. The rate limit for this user has been reached.
POST /api/v1/system-templates/{systemTemplate} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 93
{
"overwrite": "example_overwrite",
"system_id": 1,
"platform_app_key": "example_platform_app_key"
}{}Last updated
Was this helpful?